Bug 128061

Summary: Subpixel rendering: borders are reporting float values.
Product: WebKit Reporter: zalan <zalan>
Component: Layout and RenderingAssignee: zalan <zalan>
Status: REOPENED ---    
Severity: Normal CC: clopez, jonlee, ltilve, mcatanzaro
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   

Description zalan 2014-02-01 20:31:09 PST
Failed cases:

css1/units/length_units.html [ Failure ]
fast/css/bidi-override-in-anonymous-block.html [ Failure ]
fast/multicol/span/anonymous-style-inheritance.html [ Failure ]
fast/repaint/repaint-during-scroll-with-zoom.html [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-radius-initial-value-001.htm [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-radius-style-001.htm [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-radius-style-002.htm [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-radius-style-004.htm [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-radius-with-three-values-001.htm [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-radius-with-two-values-001.htm [ Failure ]
ietestcenter/css3/bordersbackgrounds/border-top-left-radius-values-003.htm [ Failure ]
media/video-zoom.html [ Failure ]
svg/custom/svg-fonts-in-html.html [ Failure ]
svg/zoom/page/zoom-background-image-tiled.html [ Failure ]
svg/zoom/page/zoom-background-images.html [ Failure ]
svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html [ Failure ]
svg/zoom/page/zoom-svg-float-border-padding.xml [ Failure ]
svg/zoom/page/zoom-svg-through-object-with-auto-size.html [ Failure ]
tables/mozilla_expected_failures/bugs/bug1055-2.html [ Failure ]
Comment 1 Carlos Alberto Lopez Perez 2014-05-01 14:37:29 PDT
I have rebaselined the test fast/multicol/span/anonymous-style-inheritance.html on r168097 <http://trac.webkit.org/changeset/168097> after the new multi-column mode was enabled.

The other tests are still failing.
Comment 2 zalan 2014-10-15 17:56:51 PDT
http://trac.webkit.org/changeset/174753
Comment 3 Lorenzo Tilve 2015-12-17 07:22:37 PST
fast/css/bidi-override-in-anonymous-block.html layout test was being skipped on the GTK port.

Passing again after <http://trac.webkit.org/changeset/191727>. Unskipped in <http://trac.webkit.org/changeset/194218>.
Comment 4 Michael Catanzaro 2016-04-09 10:31:26 PDT
Not sure why this bug was closed as invalid. Zalan fixed most of these tests for the GTK port this week in r199034. The following tests are now passing:

webkit.org/b/128061 fast/repaint/repaint-during-scroll-with-zoom.html [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-radius-initial-value-001.htm [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-radius-style-001.htm [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-radius-style-002.htm [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-radius-style-004.htm [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-radius-with-three-values-001.htm [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-radius-with-two-values-001.htm [ Failure ]
webkit.org/b/128061 ietestcenter/css3/bordersbackgrounds/border-top-left-radius-values-003.htm [ Failure ]
webkit.org/b/128061 media/video-zoom.html [ Failure ]
webkit.org/b/128061 svg/zoom/page/zoom-background-image-tiled.html [ Failure ]
webkit.org/b/128061 svg/zoom/page/zoom-background-images.html [ Failure ]
webkit.org/b/128061 svg/zoom/page/zoom-svg-through-object-with-auto-size.html [ Failure ]

Reopening because the following tests are still failing on the GTK port, and they are marked against this bug:

webkit.org/b/128061 svg/custom/svg-fonts-in-html.html [ Failure ]
webkit.org/b/128061 svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html [ Failure ]
webkit.org/b/128061 svg/zoom/page/zoom-svg-float-border-padding.xml [ Failure ]

Updated expectations in r199270.